<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use Schema;
use Auth;
use App\Models\Setting;
use App\Models\Language;
use App\Models\User;
use App\Models\Event;
use App\Models\Company;
use App\Models\ArticleDescription;
use App\Models\ContentManagement;
class AdminUniversalsController extends Controller
{
    const source_folder = 'C:\xampp\htdocs\\';
    const source_folder_name = 'C:\xampp\htdocs\wordpress_iot';
    const storage_device_path = 'C:\\';
    const not_iots = ['company'];
    const properties = ['lead','leadset'];
    public function __construct()
    {
        $this->page_variables = [
                                    'page_title'   =>   Language::trans('Cities Page'),
                                    'return_url' => class_basename($this).'@getIndex',
                                    'edit_link' => class_basename($this).'@getEdit' ,
                                    'view_link' => class_basename($this).'@getView' ,
                                    'delete_link' => class_basename($this).'@getDelete',
                                    'new_file_link' => class_basename($this).'@getNew' 
                                ];

        //$this->middleware('acl', ['only'=>['getIndex','getNew','getEdit','getView','getDelete']]);
        //$this->middleware('auth_admin');
    }

    public function sizeFormat($bytes){
        $kb = 1024;
        $mb = $kb * 1024;
        $gb = $mb * 1024;
        $tb = $gb * 1024;

        if (($bytes >= 0) && ($bytes < $kb)) {
        return $bytes . ' B';

        } elseif (($bytes >= $kb) && ($bytes < $mb)) {
        return ceil($bytes / $kb) . ' KB';

        } elseif (($bytes >= $mb) && ($bytes < $gb)) {
        return ceil($bytes / $mb) . ' MB';

        } elseif (($bytes >= $gb) && ($bytes < $tb)) {
        return ceil($bytes / $gb) . ' GB';

        } elseif ($bytes >= $tb) {
        return ceil($bytes / $tb) . ' TB';
        } else {
        return $bytes . ' B';
        }
    }

    public function getDirectorySize($dir){
            $count_size = 0;
            $count = 0;
            $dir_array = scandir($dir);
              foreach($dir_array as $key=>$filename){
                if($filename!=".." && $filename!="."){
                   if(is_dir($dir."/".$filename)){
                      $new_foldersize = $this->getDirectorySize($dir."/".$filename);
                      $count_size = $count_size+ $new_foldersize;
                    }else if(is_file($dir."/".$filename)){
                      $count_size = $count_size + filesize($dir."/".$filename);
                      $count++;
                    }
               }
         }
    return $count_size;
    }

    public function getModelClass($request_type)
    {
        $model_class = 'App\\Models\\'.str_replace( ' ', '',ucwords(str_replace( '_', ' ', $request_type))).'';
        //dd($model_class);
        return $model_class;
    }

    const content_related_models = ['article','event','job','faq','testimony','core_member','partnership'];
    const erp_related_models = ['erp_api_setting'];
    const common_models = ['company'];
    public function getUIByRequestType($request_type)
    {

        $ui = '';
        //$name = str_replace( ' ', '',str_replace( '_', ' ', Setting::pluralize($request_type)));
        $name =  Setting::pluralize($request_type);

  
        if(in_array($request_type,static::common_models)){
            $ui = 'commons.'.$name;
        }else if(in_array($request_type,static::erp_related_models)){
            $ui = 'erp_api_managements.'.$name;
        }else{
            $ui = 'commons.'.$name;
        }

        return $ui;
    }

    public function getSourceSql(Request $request)
    {
        $return = [
                        'status_code'    =>  false,
                        'data'    => array()
                        ];

         $sql = $_GET['source_sql'] !== null ? $_GET['source_sql'] : false;

         if($sql == false)
         {
            return json_encode($return);
         }

         $schemaName = 'smarthome';
         $tableCols = Setting::listColumnsFromQuery($sql, $schemaName);
         $return = [
                        'status_code'    =>  true,
                        'data'    => $tableCols
                        ];

        return json_encode($return);
    }

    public function getSingleTableMapping(Request $request)
    {
         $return = [
                        'status_code'    =>  false,
                        'data'    => array()
                        ];

         $tableName = $_GET['table_name'] !== null ? $_GET['table_name'] : false;

         if($tableName == false)
         {
            return json_encode($return);
         }
         $tableCols = Setting::getTableColumns($tableName);
         $return = [
                        'status_code'    =>  true,
                        'data'    => $tableCols
                        ];

         return json_encode($return);
    }

    public function generatePageVariable($request_type)
    {
        $name = ucwords(str_replace('_', ' ', $request_type));
        $this->page_variables = [
                                    'index_url' => class_basename($this).'@getIndex',
                                    'return_url' => class_basename($this).'@getIndex',
                                    'page_title'   =>   Language::trans( $name.' Page'),
                                    'new_file_link' => class_basename($this).'@getNew' 
                                ];
        return  $this->page_variables;

    }


    public function labelMapper($keys)
    {
        $return = array();
        foreach($keys as $key)
        {

        }

        return $return ;
        
    }


    public function getIndex(/*$request_type*/)
    {
        //dd('xx');
        $current_action = 'Index';
        $request_type = $_GET['request_type'] !== null ? $_GET['request_type'] : 'false';
        //dd($request_type);
        //get class name
        $is_show_action = true;
        $model_class = $this->getModelClass($request_type);

        //get page name
        $page_variables = $this->generatePageVariable($request_type);
        //dd($page_variables);
        $i              =   1;


        if($request_type == 'content_managements')
        {
            $cols = ['Page'];
            $listing = ['Home','How It Works','About Us','Footer','Page Url Setting'];
        }else{
            $model          =   new $model_class;
            $cols           =   $model->listing_header();
            $model          =   $model->listing()->paginate(Setting::paginate);
        }
        
        //$model          =   $model_class::all();
       
        $is_model_page  = true;



        if($request_type == 'company'){
            
            $model = Company::getModelByLeafGroupId();
            $language_listing = ['english','malay','chinese'];
            return view(Setting::UI_VERSION.'commons.companies.index',  compact('model','i','page_variables','current_action','request_type','language_listing'));

        }else if($request_type == 'content_managements'){

            
            return view(Setting::UI_VERSION.'content_managements.general_contents.index', compact('i','page_variables','cols','current_action','request_type','listing'));

        }else{
            return view(Setting::UI_VERSION.'iot.layouts.index', compact('model','i','page_variables','cols','current_action','request_type'));
        }

        
        
    }

    public function postIndex(Request $request)
    {      
        $lead_data = array();
        $fields = ['name','phone_number','location','occupation'];
        $input =  $request->all();
        //dd($input);
        foreach($fields as $field)
        {
            $$field = explode("\r\n",$input[$field]);
        }

        foreach($fields as $field)
        {
            $index = 0;
            $temp = $$field;
            foreach($$field as $field_item)
            {
                if($field == 'phone_number')
                {
                $field_item = str_replace('p:+','',$field_item);
                }
                $lead_data[$index][$field] = $field_item;
                 $index ++;
            }
        }
        $data = ['leads' => $lead_data , 'lead_set_name' => $input['lead_set_name']];
        //dd($data);
        Lead::createListing($data);

      
        return redirect()->action('IOTUniversalsController@getIndex', 'lead')
                            ->with(Setting::session_alert_status, 'check')
                            ->with(Setting::session_alert_status, 'success')
                            ->with(Setting::session_alert_msg, Language::trans('Lead was successfully created.'));
    }


    public function getEdit()
    {
        $child_listing = array();
        $model_with_child = ['article','event'];
        //$language_listing = ['english','malay','chinese'];
        $language_listing  = Setting::getCodingLanguageMappers();
        $current_action = 'Edit';
        $request_type = $_GET['request_type'] !== null ? $_GET['request_type'] : 'false';
        $p_title = ucfirst(str_replace('_',' ',$request_type));
        $id = $_GET['id'] !== null ? $_GET['id'] : 'false';
        //dd($request_type);
        //get class name
        $is_show_action = true;
        $model_class = $this->getModelClass($request_type);

        //get page name
        $ui = $this->getUIByRequestType($request_type);
        $page_variables = $this->generatePageVariable($request_type);

        $i              =   1;
        $model          =   $model_class::find($id);
        if(in_array($request_type,$model_with_child))
        {
            $getChild = 'article_description()';
            $temp_child_listing = ArticleDescription::getByKey($request_type.'_id',$model['id']);
            foreach($temp_child_listing as $t_row)
            {
                $child_listing[$t_row['language']] = $t_row;
            }
            //echo $model['id'].'<br>';
            //dd($child_listing);
        }
    
 
        return view(Setting::UI_VERSION.$ui.'.form',  compact('model','i','page_variables','current_action','request_type','language_listing','child_listing','p_title'));
        
    }

    public function postEdit(Request $request)
    {
        //dd($request->all());
        $input = $request->all();
        $id = isset($input['id']) ? $input['id'] : 'false';
        $request_type = isset($input['request_type']) ? $input['request_type'] : 'false';

        //dd($request_type);
        $model_class = $this->getModelClass($request_type);

        if (!$model = $model_class::find($id)) {
            return redirect()->action('DashboardsController@getError', 404);
        }

        $model->save_form($request->all());
        return redirect()->action('AdminUniversalsController@getEdit', ['request_type'=>$request_type, 'id' => $id])
                            ->with(Setting::session_alert_status, 'check')
                            ->with(Setting::session_alert_status, 'success')
                            ->with(Setting::session_alert_msg, $model->name.Language::trans(' was successfully updated.'));
    }

    

    public function getNew()
    {
        $current_action = 'New';
        $language_listing = ['english','malay','chinese'];
        $request_type = !empty($_GET['request_type']) ? $_GET['request_type'] : false;
        $p_title = ucfirst(str_replace('_',' ',$request_type));

        if($request_type == false){
            return redirect()->action('AdminUniversalsController@getDashboard');
        }else{
            //dd('?');
        }

        $ui = $this->getUIByRequestType($request_type);
        //dd($request_type);
        //get class name       
        $model_class = $this->getModelClass($request_type);
        //dd($model_class);
        //get page name
        $page_variables = $this->generatePageVariable($request_type);
        //dd($page_variables);

        $i              =   1;
        $model          =   new $model_class;
        //$model          =   $model_class::all();
        $model['source_folder_name'] = static::source_folder_name;
        //dd( $this->getDirectorySize($model['source_folder_name']));
        //dd($model['source_folder_name']);
        //$status = 'ss';
        $is_model_page  = true;
        //dd('x_axis');
        $is_project_folder_created = false; 
        $is_db_created = false;
        $language_listing  = Setting::getCodingLanguageMappers();
        //dd($language_listing);
        //dd($ui);
        //Setting::getTables();
        //Setting::getTableColumns('access_card');

    

        return view(Setting::UI_VERSION.$ui.'.form', compact('model','i','page_variables','current_action','request_type','language_listing','p_title'));
        
        //return view(Setting::UI_VERSION.'iot.'.$request_type.'.form', compact('model','i','page_variables','cols','graph_info','is_show_action','request_type','is_db_created','is_project_folder_created','storage'));
        
    }

    public function postNew(Request $request)
    {
        //dd($request->all());
        $input =  $request->all();
        //dd($input['request_type']);
        $request_type = isset($input['request_type']) ? $input['request_type'] : false;
        $model_class = $this->getModelClass($request_type);
        //dd($model_class);
        $model = new $model_class;
        /*$errors = $model->validate_form($request->all());
        if ($errors) {
            return redirect()->back()->withInput()->withErrors($errors);
        }*/
        $model->save_form($request->all());
        //dd('x');
        return redirect()->action('AdminUniversalsController@getIndex', [$model->id ,'request_type'=>$input['request_type']])
                            ->with(Setting::session_alert_icon, 'check')
                            ->with(Setting::session_alert_status, 'success')
                            ->with(Setting::session_alert_msg, $model->name.Language::trans(' was successfully created.'));
    }

    public function getView($id)
    {
        $page_variables = $this->page_variables;
        if (!$model = City::find($id)) {
            return redirect()->action('DashboardsController@getError', 404);
        }
        $model->country_id = $model->display_relationed('state_id', 'country_id');

        return view(Setting::UI_VERSION.'commons.cities.view', compact('model','page_variables'));
    }

    /*public function getEdit($id)
    {
        $page_variables = $this->page_variables;
        if (!$model = City::find($id)) {
            return redirect()->action('DashboardsController@getError', 404);
        }
        $model->country_id = (old('country_id') ? old('country_id'):$model->display_relationed('state_id', 'country_id'));

        return view(Setting::UI_VERSION.'commons.cities.form', compact('model','page_variables'));
    }

    public function postEdit(Request $request, $id)
    {
        if (!$model = City::find($id)) {
            return redirect()->action('DashboardsController@getError', 404);
        }
        $errors = $model->validate_form($request->all());
        if ($errors) {
            return redirect()->back()->withInput()->withErrors($errors);
        }
        $model->save_form($request->all());
        return redirect()->action('CitiesController@getEdit', [$id])
                            ->with(Setting::session_alert_status, 'check')
                            ->with(Setting::session_alert_status, 'success')
                            ->with(Setting::session_alert_msg, $model->name.Language::trans(' was successfully updated.'));
    }
*/
    public function getDelete($id)
    {
        if (!$model = City::find($id)) {
            return redirect()->action('DashboardsController@getError', 404);
        }
        $temp = $model->name;
        $model->delete();
        return redirect()->action('CitiesController@getIndex')
                            ->with(Setting::session_alert_status, 'check')
                            ->with(Setting::session_alert_status, 'success')
                            ->with(Setting::session_alert_msg, $temp.Language::trans(' was successfully deleted.'));
    }

    public function extraReadingData($temp)
    {
        $return = false;
        if(is_array($temp))
        {
            
            //echo 'Pass :'.json_encode($response).'<br>';
            if(sizeof($temp) == 0){
               //echo 'Size check fail <br>';
              //continue;
              
            }
         }else{
             $ds =  json_decode($temp , true);
             $return = is_string($ds['objectJSON']) ? json_decode($ds['objectJSON'],true) : false ;
         }



         return $return;
    }

    public function getDashboard(Request $request)
    {   
        $index = 1;
        $trans_summary_data = array();
        //$trans_summary_data = MyTransaction::getTransactionSummary();
      
        $line_chart_data = array();
        $is_model_page  = false;
        $page_variables = $this->page_variables;
        $company            =   new Company();
        // $company            =   $company->self_profile();

        $company = Company::getModelByLeafGroupId(Company::get_group_id());
        if (!Auth::check()) {
         
            return redirect()->action('OpencartUsersController@getLogin');
        }

       
        return view(Setting::UI_VERSION.'iot.dashboards.index', compact('index','page_variables','trans_summary_data','line_chart_data'));
    }

    
}
