<?php

namespace App\Models;

use Auth;
use App\PowerMeterModel\MeterReading;
use App\PowerMeterModel\MeterRegister;
use App\House;
use App\Room;

class KyAPI extends ExtendModel
{
	const method_get 			=	'get';
	const method_post 			=	'post';
	// const app_secret 			=	'UJx9ERfJ8tcM7Ip50uNo8zIXUPAS93JTC627X8R6C4IzC8uss8RBIpps4Za4SUYl';
	const main_app_secret 		=	'wLbJlCCBpQuOnullBPMJtszKr5cWCLN8UAJncHUWdp7S4u5MI00UzeG9Od3Oxrwi';
	const app_secret 			=	'P5lsZKtSyQ3oV9mIQvzEDL1crszSKc4kO6i1ob8HfRLVE8RmU5Ms0RW11caQ0aXu'; // webview secret token
	const url 					=	'https://cloud.leaf.com.my/api/';
	const label_session_token	=	'session_token';
	const label_module_cookie 	=	'modules_cookie';
	const label_accounting 		=	'accounting';
	const label_umrah 			=	'umrah';
	const label_power_meter 	=	'power_meter';
	const label_e_commerce		=	'e_commerce';
	const label_twin_room 		=	'twin';
	
	const payment_is_sandbox 	=	false;

	const leaf_payable_item     =    array("facility","programme","fee-type"); 
	const leaf_facility_label  = 	 'facility'; 
	const leaf_programme_label  = 	 'programme';
	const leaf_fee_type_label  = 	 'fee-type';

	const payment_gateway_ipay88 = "ipay88";
	const payment_gateway_molpay = "molpay";
	const system_title = 'Ky Assistance 2';

	 /*
    |--------------------------------------------------------------------------
    | Api for Setia club house
    |--------------------------------------------------------------------------
    |
    */


	public function get_groups()
	{
		if (isset($_COOKIE[static::label_session_token])) {
			$params[static::label_session_token] = $_COOKIE[static::label_session_token];
			$result = $this->decode($this->get('user/group', $params));
			if ($result['status_code'] == 1) {
				return $result['group'];
			}
		}
		return [];
	}

	public function get_modules()
	{
		$listing = $this->get_groups();
		$result = [];
		foreach ($listing as $row) {
			if ($row['id_group'] == Company::get_group_id()) {
				if ($row['group_module_power_meter_enabled'] == true) {
					$result[] = static::label_power_meter;
				}
				if ($row['group_module_umrah_enabled']) {
					$result[] = static::label_umrah;
				}
				if ($row['group_module_accounting_enabled']) {
					$result[] = static::label_accounting;
				}
			}
		}
		return $result;
	}

	public function set_cookie_modules()
	{
		setcookie(self::label_module_cookie, json_encode($this->get_modules()));
	}

	public static function get_cookie_modules()
	{
		if (isset($_COOKIE[static::label_module_cookie])) {
			return json_decode($_COOKIE[static::label_module_cookie], true);
		}
		return [];
	}

	public static function get_module_status($module=[])
	{
		foreach ($module as $row) {
			if (in_array($row, self::get_cookie_modules())) {
				return true;
			}
		}
		return false;
	}


	public function get_user_room($session_token)
	{
		$params['session_token'] = $session_token;
		return $this->decode($this->post('user/house-room', $params));		
	}

	public function decode($json)
	{
		return json_decode($json, true);
	}

	public function get($url, $params=null)
	{
		return $this->curl(static::method_get, $url, $params);
	}

	public function getPowerManagement($url, $params=null)
	{
		return $this->curlPowerManagement(static::method_get, $url, $params);
	}

	public function post($url, $params=null)
	{
		return $this->curl(static::method_post, $url, $params);
	}

	public function curl($method, $url, $params=null)
	{
		$params['app_secret'] = static::app_secret;
		//echo json_encode($params)."<br>";
        // create curl resource 
        $ch = curl_init(); 
        $url = static::url.$url;

        if ($method == static::method_get) {
        	$url .= '?';
        	foreach ($params as $key => $value) {
        		$url .= $key.'='.$value.'&';
        	}
        }

        // set url 
        //echo $url."<br>";
        curl_setopt($ch, CURLOPT_URL, $url); 

        //return the transfer as a string 
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        if ($method == static::method_post) {
	        curl_setopt($ch, CURLOPT_POST, 1);
	        curl_setopt($ch, CURLOPT_POSTFIELDS, $params);
        }

        // $result contains the output string 
        $result = curl_exec($ch);      
//dd($result);
        //echo json_encode($result)."<br>";
        // close curl resource to free up system resources 
        curl_close($ch);
      
        return $result;
	}

	public function curlPowerManagement($method, $url, $params=null)
	{
		$params['app_secret'] = static::app_secret;
        // create curl resource 
        $ch = curl_init(); 

        if ($method == static::method_get) {
        	$url .= '?';
        	foreach ($params as $key => $value) {
        		$url .= $key.'='.$value.'&';
        	}
        }

        // set url 
        curl_setopt($ch, CURLOPT_URL, $url); 

        //return the transfer as a string 
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        if ($method == static::method_post) {
	        curl_setopt($ch, CURLOPT_POST, 1);
	        curl_setopt($ch, CURLOPT_POSTFIELDS, $params);
        }

        // $result contains the output string 
        $result = curl_exec($ch);      

        // close curl resource to free up system resources 
        curl_close($ch);
      
        return $result;
	}

	

}