<?php

namespace App\Models;

use Auth;
use App\Models\LeafAPI;
use Illuminate\Support\Facades\Redirect;

class LeafToErpAPI extends ExtendModel
{
	const method_get 			=	'get';
	const method_post 			=	'post';
	// const app_secret 			=	'UJx9ERfJ8tcM7Ip50uNo8zIXUPAS93JTC627X8R6C4IzC8uss8RBIpps4Za4SUYl';
	const main_app_secret 		=	'wLbJlCCBpQuOnullBPMJtszKr5cWCLN8UAJncHUWdp7S4u5MI00UzeG9Od3Oxrwi';
	const app_secret 			=	'P5lsZKtSyQ3oV9mIQvzEDL1crszSKc4kO6i1ob8HfRLVE8RmU5Ms0RW11caQ0aXu'; // webview secret token
	const url 					=	'https://cloud.leaf.com.my/api/';
	const label_session_token	=	'session_token';
	const label_module_cookie 	=	'modules_cookie';
	const label_accounting 		=	'accounting';
	const label_umrah 			=	'umrah';
	const label_power_meter 	=	'power_meter';
	const label_e_commerce		=	'e_commerce';
	const label_twin_room 		=	'twin';
	
	const payment_is_sandbox 	=	false;

	const leaf_payable_item     =    array("facility","programme","fee-type"); 
	const leaf_facility_label  = 	 'facility'; 
	const leaf_programme_label  = 	 'programme';
	const leaf_fee_type_label  = 	 'fee-type';

	const payment_gateway_ipay88 = "ipay88";
	const payment_gateway_molpay = "molpay";
	const project = 'https://erp.leaf.com.my:8443/';

	 /*
    |--------------------------------------------------------------------------
    | Api for Setia club house
    |--------------------------------------------------------------------------
    |
    */
	//Partner
    	public function getApiUrl($table){
    		$url = static::project."demo/ws/rest/com.axelor.apps.base.db.".$table;
    		//dd($url);
    		return $url ;
    	}

	public function get_groups()
	{
		if (isset($_COOKIE[static::label_session_token])) {
			$params[static::label_session_token] = $_COOKIE[static::label_session_token];
			$result = $this->decode($this->get('user/group', $params));
			if ($result['status_code'] == 1) {
				return $result['group'];
			}
		}
		return [];
	}

	public function get_modules()
	{
		$listing = $this->get_groups();
		$result = [];
		foreach ($listing as $row) {
			if ($row['id_group'] == Company::get_group_id()) {
				if ($row['group_module_power_meter_enabled'] == true) {
					$result[] = static::label_power_meter;
				}
				if ($row['group_module_umrah_enabled']) {
					$result[] = static::label_umrah;
				}
				if ($row['group_module_accounting_enabled']) {
					$result[] = static::label_accounting;
				}
			}
		}
		return $result;
	}

	public function set_cookie_modules()
	{
		setcookie(self::label_module_cookie, json_encode($this->get_modules()));
	}

	public static function get_cookie_modules()
	{
		if (isset($_COOKIE[static::label_module_cookie])) {
			return json_decode($_COOKIE[static::label_module_cookie], true);
		}
		return [];
	}

	public static function get_module_status($module=[])
	{
		foreach ($module as $row) {
			if (in_array($row, self::get_cookie_modules())) {
				return true;
			}
		}
		return false;
	}


	public function get_user_room($session_token)
	{
		$params['session_token'] = $session_token;
		return $this->decode($this->post('user/house-room', $params));		
	}

	public function decode($json)
	{
		return json_decode($json, true);
	}

	public function get($url, $params=null)
	{
		return $this->curl(static::method_get, $url, $params);
	}

	public function post($url, $params=null)
	{
		return $this->curl(static::method_post, $url, $params);
	}

	public function postErp($url, $params=null)
	{
		return $this->curl(static::method_post, $url, $params);
	}

	public function getLeafErpColsMapper($action,$sub_action = null)
	{
		$mappers = 'LeafToErpAPI::'.$action_table ;

		return $mappers;
	}

	/*public function addOrUpdateHouseUnit($leaf_house_id)
	{
		$leafApi = new LeafApi();
		$house = $leafApi->get_house_membership_detail_by_house_id($leaf_house_id);
		dd($house);
	}*/

	public function objectCheck($data,$key)
	{
		return isset($data[$key])  ? $data[$key] : false;
	}


	public function addOrUpdateHouseUnit($leaf_house_id){
		//customer

		$companyCode = 'DEMO';
		$companyName = 'DEMO COMPANY';
		$companyId = 1;
		$housePartnerMapping = ['name'=>'house_unit'];
		$memberContactMapping = ["name" => 'user_fullname',"simpleFullName" => 'user_fullname',"fullName" => 'user_fullname',"mobilePhone" => 'user_phonenumber',"emailAddress" => 'user_email'];
		$house_default_value = ["partnerTypeSelect" => "1", "isCustomer" => true,
					      "currency" => [
					          "id" => 102,
					          "name" => "Malaysian Ringgit",
					          "code" => "MYR"
					      ],


					"companySet" => [
					          [
					              "code" => $companyCode,
					              "name" => $companyName,
					              "id" => $companyId
					          ]
			     		 ]
		];






		 $contact_default_value = [
				                "titleSelect" => 1,
				                "isContact" => true,
				                "partnerTypeSelect" => 2,
				                "team" => null,
				                "companySet" => [
				                    [
				                        "code" => $companyCode,
				                        "name" => $companyName,
				                        "id" => $companyId
				                    ]
				                ],
				                "user" => [
				                    "code" => "admin",
				                    "fullName" => "Admin",
				                    "id" => 1
				                ]
				            
				          ];

		$leafApi = new LeafApi();
		$house = $leafApi->getHouseByHouseId($leaf_house_id);
		//dd($house);
		if(isset($house['id_house']))
		{
		 	$customer_data['data'] = array();
		 	foreach($house_default_value as $h_key => $h_value)
		 	{
		 		$customer_data['data'][$h_key] = $h_value;
			}
			foreach($housePartnerMapping as $h_key => $h_value)
		 	{	
		 		$customer_data['data'][$h_key] = $this->objectCheck(  $house ,$h_value ) ;
		 	}
			//dd( $customer_data);
			$response = $this->curlErp($this->getApiUrl('Partner'), $customer_data);
 
			$temp_response = json_decode($response,true);
			$erp_customer_data = isset($temp_response['data'][0]) ? $temp_response['data'][0] : false;
			if($erp_customer_data == false)
			{
				return 'Fail to sync data';	
			}

			$id = $this->objectCheck( $erp_customer_data,'id');
			$version_key = $this->objectCheck( $erp_customer_data,'version');

			
			$contact_persons = array();
			$members = $this->objectCheck( $house,'house_members');

			if($members == false)
			{
				return 'Empty members';
			}
			foreach($members as $member)
			{
				$contacts = array();
				$id_house_member = $this->objectCheck( $member,'id_house_member');
				$house_member_id_user = $this->objectCheck( $member,'house_member_id_user');
				if($id_house_member == false)
				{
					return 'Empty member';
				}
			

				$user_info = $leafApi->getUserByIdHouseUser($house_member_id_user);
				foreach($contact_default_value as $h_key => $h_value)
			 	{
			 		$contacts['data'][$h_key] = $h_value;
				}
				foreach($memberContactMapping as $h_key => $h_value)
			 	{	
			 		$contacts['data'][$h_key] = $this->objectCheck(  $user_info ,$h_value ) ;
			 	}
				
				$response = $this->curlErp($this->getApiUrl('Partner'), $contacts);
				$temp_response = json_decode($response,true);
				$contact_data = isset($temp_response['data'][0]) ? $temp_response['data'][0] : false;

				$contact_id = $this->objectCheck(  $contact_data ,'id' ) ;

				$contact_persons[] = ["id" => $contact_id];
			}


			$attach_data = [
			  "data" => [
			      "id" => $id,
			      "version" => $version_key,
			      "contactPartnerSet" => $contact_persons
			  ]
			];

			$response = $this->curlErp($this->getApiUrl('Partner'), $attach_data);
		 	dd(json_decode($response));
		}else{
			return false;
		}
		
	}



/*'owner'
'member'
'address'


"owner" => array:33 [▼
    "id_house_member" => "156778"
    "internal_id_house_member" => ""
    "house_member_sub_unit" => ""
    "house_member_name" => "Peter"
    "house_member_email" => ""
    "house_member_ic" => ""
    "house_member_is_bill_person" => true
    "house_member_is_owner" => true
    "house_member_is_tenant" => false
    "house_member_can_make_payment" => true
    "house_member_phonenumber" => "0164188551"
    "house_member_home_phonenumber" => ""
    "house_member_office_phonenumber" => ""
    "house_member_gender" => ""
    "house_member_dob" => "0000-00-00"
    "house_member_address" => ""
    "house_member_photo" => ""
    "house_member_ic_photo" => ""
    "house_member_other_photos" => []
    "house_member_id_user" => "2044"
    "house_member_debit_card_number" => ""
    "house_member_credit_card_number" => ""
    "house_member_bank_account_number" => ""
    "house_member_bank_name" => ""
    "house_member_bank_branch" => ""
    "acc_id_customer" => 0
    "house_member_entry_date" => "2016-12-09 10:27:37"
    "house_member_occupation" => ""
    "house_member_nationality" => ""
    "house_member_religion" => ""
    "house_member_race" => ""
    "house_member_intercom_priority" => "0"
    "house_member_occupancy" => "0"
  ]*/
  

	public function addOrUpdateModel()
	{
		$data = array();
		$erp_model_name = '';
		$is_create = false;
		//find is model exist
		$return_model = $this->getModel($erp_model_name,$data);

		$arrange_data = array();

		$col_mappers = $this->getLeafErpColsMapper($leaf_table);

		if(isset($return_model['data']['id']))
		{
			//add
			//data fit to erp
			$erp_model = $return_model['data'];
			$current_version  = $erp_model['version'] + 1;
			$arrange_data['version'] = $current_version;

			foreach($erp_model as $col => $val)
			{
				$arrange_data[$col] = $val;
			}
			
		}

		foreach($col_mappers as $l_col => $erp_col)
		{
			$arrange_data[$erp_col] = isset($data[$l_col]) ? $data[$l_col] : '';
		}

		

		if($is_create == true){
			//create
			$this->addModel($erp_model_name,$arrange_data);
		}else{
			$this->editModel($erp_model_name,$arrange_data);
		}

	}

	public function getCsrfTokenAndJSessionId()
	{
		$site = "https://erp.leaf.com.my:8443";
		$erpLoginApiUrl = $site."/demo/login.jsp";
		$loginData = [
		  "username" => "admin",
		  "password" => "admin"
		];

		$jsonloginData = json_encode($loginData);

		//login into erp
		$curlLogin = curl_init();

		curl_setopt_array($curlLogin, array(
		  CURLOPT_URL => $erpLoginApiUrl,
		  CURLOPT_RETURNTRANSFER => true,
		  CURLOPT_ENCODING => '',
		  CURLOPT_MAXREDIRS => 10,
		  CURLOPT_TIMEOUT => 0,
		  CURLOPT_FOLLOWLOCATION => true,
		  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
		  CURLOPT_CUSTOMREQUEST => 'POST',
		  CURLOPT_POSTFIELDS => $jsonloginData,
		  CURLOPT_HEADER => true,
		  CURLOPT_HTTPHEADER => array(
		    'X-Requested-With: XMLHttpRequest',
		    'Content-Type: text/plain',
		  ),
		));

		$responseLogin = curl_exec($curlLogin);
		$httpCode = curl_getinfo($curlLogin, CURLINFO_HTTP_CODE);

		curl_close($curlLogin);

		list($headers, $body) = explode("\r\n\r\n", $responseLogin, 2);
		// Extract cookies from headers
		$cookies = [];
		preg_match_all('/Set-Cookie: (.*?);/', $headers, $matches);
		$csrfToken = '';
		$jsessionId = '';
		if (isset($matches[1])) {
		    $cookies = $matches[1];
		}

		if($httpCode === 200){
		    foreach ($cookies as $cookie) {
		        if (strpos($cookie, 'JSESSIONID=') === 0) {
		            $jsessionId = str_replace('JSESSIONID=', '', $cookie);
		        } elseif (strpos($cookie, 'CSRF-TOKEN=') === 0) {
		            $csrfToken = str_replace('CSRF-TOKEN=', '', $cookie);
		        }
		    }
		}
		//dd('1');
		
		//$url = 'https://erp.leaf.com.my:8443/demo/login.jsp';
		//return redirect()->intended('http://heera.it');
		//return Redirect::to($url);
		return ['csrfToken' => $csrfToken , 'jsessionId' => $jsessionId];
	}

	public function curlErp($apiUrl,$data,$request_type=null)
	{
		$request_type = $request_type != null ? $request_type : 'PUT';

		$token = $this->getCsrfTokenAndJSessionId();
		//dd($token);
		$cUrl = curl_init();
		curl_setopt_array($cUrl, array(
		CURLOPT_URL => $apiUrl,
		CURLOPT_RETURNTRANSFER => true,
		CURLOPT_ENCODING => '',
		CURLOPT_MAXREDIRS => 10,
		CURLOPT_TIMEOUT => 0,
		CURLOPT_FOLLOWLOCATION => true,
		CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
		CURLOPT_CUSTOMREQUEST => $request_type,
		CURLOPT_POSTFIELDS => json_encode($data),
		CURLOPT_HTTPHEADER => array(
		    'Content-Type: application/json',
		    'Cookie: "CSRF-TOKEN='.$token['csrfToken'].'"; JSESSIONID='.$token['jsessionId'].''
		),
		));

		$response = curl_exec($cUrl);
		//dd($response);
		curl_close($cUrl);

		return $response;
	}

	public function curl($method, $url, $params=null)
	{
		$params['app_secret'] = static::app_secret;
		//echo json_encode($params)."<br>";
	        // create curl resource 
	        $ch = curl_init(); 
	        $url = static::url.$url;

	        if ($method == static::method_get) {
	        	$url .= '?';
	        	foreach ($params as $key => $value) {
	        		$url .= $key.'='.$value.'&';
	        	}
	        }

	        // set url 
	        //echo $url."<br>";
	        curl_setopt($ch, CURLOPT_URL, $url); 

	        //return the transfer as a string 
	        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	        if ($method == static::method_post) {
		        curl_setopt($ch, CURLOPT_POST, 1);
		        curl_setopt($ch, CURLOPT_POSTFIELDS, $params);
	        }

	        // $result contains the output string 
	        $result = curl_exec($ch);      
	//dd($result);
	        //echo json_encode($result)."<br>";
	        // close curl resource to free up system resources 
	        curl_close($ch);
	      
	        return $result;
	}

	

	

}