
	
<div class="row clearfix">
    <div class="col-lg-6 col-md-12">
        <div class="card">
            <div class="header">
                <h2>Company Logo <small>One photo allowed.</small></h2>
            </div>
            <div class="body"> 
                
                <input type='file' name='logo_photo_path' class='form-control dropify' 
                    @if($model->logo_photo_path != null)
                      @php 
                         data-default-file={{asset($model->logo_photo_path)}}
                    @endif
                >
                @if($model->logo_photo_path != null)
                    {!! Form::hidden('is_with_attachment', true, ['class'=>'form-control']) !!}
                @endif
            </div>
        </div>
    </div>

    <div class="col-lg-6 col-md-12">
        <div class="card">
            <div class="header">
                <h2>Website Favicon <small>One photo allowed.</small></h2>
            </div>
            <div class="body"> 
                
                <input type='file' name='favicon_photo_path' class='form-control dropify' 
                    @if($model->favicon_photo_path != null)
                      @php 
                         data-default-file={{asset($model->favicon_photo_path)}}
                    @endif
                >
                @if($model->favicon_photo_path != null)
                    {!! Form::hidden('is_with_attachment', true, ['class'=>'form-control']) !!}
                @endif
            </div>
        </div>
    </div>


    
</div>


<h6 class="hk-sec-title">{{App\Models\Language::trans('System Information')}}</h6><hr>



<div class="row mb-15">

	<div class="col-md-6">
		<div class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
			{!! Form::label('name', App\Models\Language::trans('Company Name'), ['class'=>'control-label col-md-12']) !!}
			<div class="col-md-8">
				{!! Form::text('name', null, ['class'=>'form-control','autofocus','required']) !!}
		        {!!$errors->first('name', '<label for="name" class="help-block error">:message</label>')!!}
			</div>
		</div>
	</div>


	<div class="col-md-6">
		<div class="form-group{{ $errors->has('system_name') ? ' has-error' : '' }}">
			{!! Form::label('system_name', App\Models\Language::trans('System Name'), ['class'=>'control-label col-md-12']) !!}
			<div class="col-md-8">
				{!! Form::text('system_name', null, ['class'=>'form-control','required']) !!}
                {!!$errors->first('system_name', '<label for="system_name" class="help-block error">:message</label>')!!}
			</div>
		</div>
	</div>
</div> 

<h6 class="hk-sec-title">{{App\Models\Language::trans('Address Information')}}</h6><hr>
<div class="row">
	<div class="col-md-6">
		<div class="form-group{{ $errors->has('address') ? ' has-error' : '' }}">
			{!! Form::label('address', App\Models\Language::trans('Address'), ['class'=>'control-label col-md-12']) !!}
			<div class="col-md-8">
				{!! Form::text('address', null, ['class'=>'form-control']) !!}
                {!!$errors->first('address', '<label for="address" class="help-block error">:message</label>')!!}
			</div>
		</div>
	</div>
	<div class="col-md-6">
		<div class="form-group{{ $errors->has('postcode') ? ' has-error' : '' }}">
			{!! Form::label('postcode', App\Models\Language::trans('Postcode'), ['class'=>'control-label col-md-12']) !!}
			<div class="col-md-8">
				{!! Form::text('postcode', null, ['class'=>'form-control']) !!}
                {!!$errors->first('postcode', '<label for="postcode" class="help-block error">:message</label>')!!}
			</div>
		</div>
	</div>
</div>

<div class="row">
	<div class="col-md-6">
		<div class="form-group{{ $errors->has('country_id') ? ' has-error' : '' }}">
			{!! Form::label('country_id', App\Models\Language::trans('Country'), ['class'=>'control-label col-md-12']) !!}
			<div class="col-md-8">
				{!! Form::select('country_id', App\Models\Country::combobox(), null, ['class'=>'form-control','onchange'=>'init_state_selectbox(this)']) !!}
                {!!$errors->first('country_id', '<label for="country_id" class="help-block error">:message</label>')!!}
			</div>
		</div>
	</div>

	<div class="col-md-6">
		<div class="form-group{{ $errors->has('state_id') ? ' has-error' : '' }}">
			{!! Form::label('state_id', App\Models\Language::trans('State'), ['class'=>'control-label col-md-12']) !!}
			<div class="col-md-8">
				{!! Form::select('state_id', App\Models\State::combobox(old('country_id') ? old('country_id'):$model->country_id), null, ['class'=>'form-control','onchange'=>'init_city_selectbox(this)']) !!}
                {!!$errors->first('state_id', '<label for="state_id" class="help-block error">:message</label>')!!}
			</div>
		</div>
	</div>
</div>

<div class="row">
	<div class="col-md-6">
		<div class="form-group{{ $errors->has('city_id') ? ' has-error' : '' }}">
			{!! Form::label('city_id', App\Models\Language::trans('City'), ['class'=>'control-label col-md-12']) !!}
			<div class="col-md-8">
				{!! Form::select('city_id', App\Models\City::combobox(old('state_id') ? old('state_id'):$model->state_id), null, ['class'=>'form-control']) !!}
                {!!$errors->first('city_id', '<label for="city_id" class="help-block error">:message</label>')!!}
			</div>
		</div>
	</div>
</div>

<br>
<h6 class="hk-sec-title">{{App\Models\Language::trans('Contact Information')}}</h6> <hr>
<div class="row">
	<div class="col-md-6">
		<div class="form-group{{ $errors->has('contact_person') ? ' has-error' : '' }}">
			{!! Form::label('contact_person', App\Models\Language::trans('Contact Person'), ['class'=>'control-label col-md-12']) !!}
			<div class="col-md-8">
				{!! Form::text('contact_person', null, ['class'=>'form-control']) !!}
                {!!$errors->first('contact_person', '<label for="contact_person" class="help-block error">:message</label>')!!}
			</div>
		</div>
	</div>

		<div class="col-md-6">
			<div class="form-group{{ $errors->has('website') ? ' has-error' : '' }}">
				{!! Form::label('website', App\Models\Language::trans('Website'), ['class'=>'control-label col-md-12']) !!}
				<div class="col-md-8">
					{!! Form::text('website', null, ['class'=>'form-control']) !!}
	                {!!$errors->first('website', '<label for="website" class="help-block error">:message</label>')!!}
				</div>
			</div>
		</div>
</div>


<div class="row clearfix">
		<div class="col-md-12">
			<div class="form-group{{ $errors->has('email') ? ' has-error' : '' }}">
				{!! Form::label('email', App\Models\Language::trans('Email'), ['class'=>'control-label col-md-12']) !!}
				<div class="col-md-8 input-group demo-tagsinput-area">
					{!! Form::text('email', null, ['class'=>'form-control', 'data-role' => 'tagsinput','placeholder'=> App\Models\Language::trans('Enter email') ]) !!}
		            {!!$errors->first('email', '<label for="email" class="help-block error">:message</label>')!!}
				</div>
			</div>
		</div>
</div>

<div class="row clearfix">
	<div class="col-md-12">
		<div class="form-group{{ $errors->has('tel') ? ' has-error' : '' }}">
			{!! Form::label('tel', App\Models\Language::trans('Tel'), ['class'=>'control-label col-md-12']) !!}
			<div class="col-md-8 demo-tagsinput-area">
				{!! Form::text('tel', null, ['class'=>'form-control', 'data-role' => 'tagsinput','placeholder'=> App\Models\Language::trans('Enter contact no.') ]) !!}
                {!!$errors->first('tel', '<label for="tel" class="help-block error">:message</label>')!!}
			</div>
		</div>
	</div>
</div>






<h6 class="hk-sec-title">{{App\Models\Language::trans('Social Media')}}</h6> <hr>
<div class="row clearfix">
	@foreach($social_medias as $sm)
		<div class="col-md-11" style='margin-left:15px;'>
		   <div class="form-group input-group">
		        <div class="input-group-prepend">
		            <span style='width:40px;' class="input-group-text"><i class="fa fa-{{$sm}}"></i></span>
		        </div>
		        {!! Form::text('social_medias['.$sm.']', (isset($social_media_data[$sm]) ? $social_media_data[$sm] : '' ), ['class'=>'form-control','placeholder'=>ucfirst($sm)]) !!}
		    </div>
		</div>
	@endforeach
</div>

<div class="row">


	@if(Auth::User()->is_super_admin)
		<div class="col-md-6">
			<div class="form-group{{ $errors->has('selected_module') ? ' has-error' : '' }}">
				{!! Form::label('selected_module', App\Models\Language::trans('Modules'), ['class'=>'control-label col-md-12']) !!}
				<div class="col-md-8">
					{!! Form::select('selected_module[]', App\Models\Setting::module_combobox(), strlen($model->selected_module) >  1 ? json_decode($model->selected_module,true):null, ['class'=>'form-control select2 chosen-select',"multiple"=>true,"id"=>"selected_module"]) !!}
                    {!!$errors->first('selected_module', '<label for="country_id" class="help-block error">:message</label>')!!}
				</div>
			</div>
		</div>
	@endif

</div>



<h6 class="hk-sec-title">{{App\Models\Language::trans('Super Admin Setting')}}</h6> <hr>

<div class="row">
	<div class="col-md-6">
		<div class="form-group{{ $errors->has('system_live_date') ? ' has-error' : '' }}">
			{!! Form::label('default_admin_user_group_id', App\Models\Language::trans('Default Admin Group'), ['class'=>'control-label col-md-12']) !!}
			<div class="col-md-8">
				{!! Form::select('default_admin_user_group_id', App\Models\UserGroup::combobox(), null, ['class'=>'form-control']) !!}
                	{!!$errors->first('payment_gateway', '<label for="payment_gateway" class="help-block error">:message</label>')!!}
			</div>
		</div>
	</div>
</div>
