@extends('_version_01.commons.layouts.admin')
@section('content')
{!! Form::model($model, ['class'=>'form-horizontal',"files"=>true]) !!}
@include('_version_01.commons.layouts.partials._alert')
{!!Form::hidden('language_listing', $language_listing, ['id'=>'language_listing' , 'value'=>$language_listing]) !!}
<section class="hk-sec-wrapper">
	<div class="box">
		 <!-- Nav tabs -->
		<ul class="nav nav-light nav-tabs bo" role="tablist">
			@php $is_first = true; 
				 $language_listing  = App\Setting::get_fundraising_language_array();
			@endphp
			@foreach($language_listing as $key => $value)			
						<li role="presentation" class="nav-item {{$is_first == true ? 'active' : ''}}">
							<a href="#{{$key}}" aria-controls="{{$key}}" class="d-flex h-60p align-items-center nav-link {{$is_first == true ? 'active' : ''}}" role="tab" data-toggle="tab"><h5>{{App\Language::trans($value)}}</h5></a>
						</li>
					@php $is_first = false;  @endphp
			@endforeach				
		</ul>
		<hr>


		<!-- Tab panes -->
		<div class="tab-content">	
			@php $is_first = true;  @endphp
			@foreach($language_listing as $key => $value)	
			@php 
				
				if(isset($model['description'])){
					$description = json_decode($model['description']);
					$description_referal = 'description_'.$key;
				}

				if(isset($model['content'])){
					$content = json_decode($model['content']);
					$content_referal = 'content_'.$key;
				}

				
				if(isset($model['title'])){
					$title = json_decode($model['title']);
					echo 'title_'.$key."<br>";
					$title_referal = 'title_'.$key;
					
				}

				if(isset($model['share_title'])){

					$share_title =json_decode($model['share_title']);
					$share_title_referal = 'share_title_'.$key;
					
				}

				if(isset($model['share_description'])){
					$share_description = json_decode($model['share_description']);
					$share_description_referal = 'share_description_'.$key;
					
				}
		
			@endphp
				<div role="tabpanel" class="tab-pane {{$is_first == true ? 'active' : ''}}" id="{{$key}}">
				       <div class="row">
				    		<div class="col-md-12">
					        	<div class="{{$errors->has('title') ? ' has-error' : '' }}">
									{!! Form::label('title', App\Language::trans('Title ['.$value.']'), ['class'=>'control-label col-md-10']) !!}
								</div>
					       </div>
					   </div>

					   <div class="row mb-20">
					       <div class="col-md-12">
									{!! Form::text("title_".$key, isset($model['title']) ? (isset($title->$title_referal) ? $title->$title_referal : '' ) : '' , ['id'=>"title_".$key, 'rows'=>'10' , 'cols'=>'80','class'=>'form-control']) !!}
				                    {!!$errors->first('title', '<label for="model" class="help-block error">:message</label>')!!}
							</div>
						</div>

						<div class="row">
				    		<div class="col-md-12">
					        	<div class="{{$errors->has('share_title') ? ' has-error' : '' }}">
									{!! Form::label('share_title', App\Language::trans('Share Title ['.$value.']'), ['class'=>'control-label col-md-10']) !!}
								</div>
					       </div>
					   </div>

					   <div class="row mb-20">
					       <div class="col-md-12">
									{!! Form::text("share_title_".$key, isset($model['share_title']) ? (isset($share_title->$share_title_referal) ? $share_title->$share_title_referal: ''  ) : '', ['id'=>"share_title_".$key, 'rows'=>'10' , 'cols'=>'80','class'=>'form-control']) !!}
				                    {!!$errors->first('share_title', '<label for="model" class="help-block error">:message</label>')!!}
							</div>
						</div>


						<div class="row">
				    		<div class="col-md-12">
					        	<div class="{{$errors->has('share_description') ? ' has-error' : '' }}">
									{!! Form::label('share_description', App\Language::trans('Share Description ['.$value.']'), ['class'=>'control-label col-md-10']) !!}
								</div>
					       </div>
					   </div>

					   <div class="row mb-20">
					       <div class="col-md-12">
									{!! Form::text("share_description_".$key, isset($model['share_title']) ?  (isset($share_description->$share_description_referal) ? $share_description->$share_description_referal : '' ): '', ['id'=>"share_description_".$key, 'rows'=>'10' , 'cols'=>'80','class'=>'form-control']) !!}
				                    {!!$errors->first('share_description', '<label for="model" class="help-block error">:message</label>')!!}
							</div>
							<div class="col-md-12">
				                  <div class="help-block TMargin10"><small>{{App\Language::trans('Share title and share description will be display while user share the article to social media.')}}</small></div>
				              </div>    
						</div>
   
					 <div class="row">
				       <div class="col-md-12">
							{!! Form::label('description', App\Language::trans('Content ['.$value.']'), ['class'=>'control-label col-md-10']) !!}
						</div>
					 </div>

					 <div class="row">
					        <div class="col-md-12">
					        	<div class="{{ $errors->has('content') ? ' has-error' : '' }}">
									<div class="col-md-12 tinymce-wrap">
										{!! Form::textarea("content_".$key, isset($model['content']) ?  (isset($content->$content_referal) ? $content->$content_referal : '' ) : '', ['id'=>"content_".$key, 'rows'=>'10' , 'cols'=>'80','class'=>'form-control tinymce']) !!}
					                    {!!$errors->first('content', '<label for="content" class="help-block error">:message</label>')!!}
									</div>
								</div>
					       </div>
					   </div>
				</div>
				@php $is_first = false;  @endphp
			@endforeach
		</div>	
	</div>
</section>


<section class="hk-sec-wrapper">
    <h5 class="hk-sec-title">{{App\Language::trans('Post Detail')}}</h5><hr>

     <div class="row">
			<div class="col-md-12">
				<div class="form-group{{ $errors->has('is_publish') ? ' has-error' : '' }}">
					{!! Form::label('is_publish', App\Language::trans('Is Publish ?'), ['class'=>'control-label col-md-2']) !!}
					<div class="col-md-12">
						 <div class="row">	
						 	<div class="col-md-3">
							    <div class="custom-control custom-radio">
							        <input type="radio" id="is_publish_on" name="is_publish" value=1  class="custom-control-input" {{isset($model['is_publish']) == true ? ($model['is_publish'] == true ? 'checked' : '') : 'checked'}}>
							        <label class="custom-control-label" for="is_publish_on">{{App\Language::trans('Enabled')}}</label>
							    </div>
							</div>
							<div class="col-md-3">
							    <div class="custom-control custom-radio">
							         <input type="radio" id="is_publish_off" name="is_publish" value=0 class="custom-control-input" {{isset($model['is_publish']) == true ? ($model['is_publish'] == false ? 'checked' : '') : ''}}>
							        <label class="custom-control-label" for="is_publish_off">{{App\Language::trans('Disabled')}}</label>
							    </div>
							</div>
						 </div>
						 {!!$errors->first('is_publish', '<label for="is_publish" class="help-block error">:message</label>')!!}
					</div>
				</div>
			</div>
		</div>


		 <div class="row">
			<div class="col-md-12">
				<div class="form-group{{ $errors->has('status') ? ' has-error' : '' }}">
					{!! Form::label('status', App\Language::trans('Status ?'), ['class'=>'control-label col-md-2']) !!}
					<div class="col-md-12">
						 <div class="row">	
						 	<div class="col-md-3">
							    <div class="custom-control custom-radio">
							        <input type="radio" id="status_on" name="status" value=1  class="custom-control-input" {{isset($model['status']) == true ? ($model['status'] == true ? 'checked' : '') : 'checked'}}>
							        <label class="custom-control-label" for="status_on">{{App\Language::trans('Enabled')}}</label>
							    </div>
							</div>
							<div class="col-md-3">
							    <div class="custom-control custom-radio">
							         <input type="radio" id="status_off" name="status" value=0 class="custom-control-input" {{isset($model['status']) == true ? ($model['status'] == false ? 'checked' : '') : ''}}>
							        <label class="custom-control-label" for="status_off">{{App\Language::trans('Disabled')}}</label>
							    </div>
							</div>
						 </div>
						 {!!$errors->first('status', '<label for="status" class="help-block error">:message</label>')!!}
					</div>
				</div>
			</div>
		</div>



    <div class="row">
				<div class="col-md-12">
					<div class="form-group{{ $errors->has('product_category_id') ? ' has-error' : '' }}">
						{!! Form::label('product_category_id', App\Language::trans('Category'), ['class'=>'control-label col-md-4']) !!}
						<div class="col-md-12">
							{!!Form::select("article_post_category_ids[]", App\ArticlePostCategory::combobox(), (strlen($model->article_post_category_ids) >  1 ? json_decode($model->article_post_category_ids,true):null), array("style"=>"width: 100%;","class"=>"form-control 3col active","id"=>"article_post_category_ids","multiple"=>"multiple"))!!}
	                        {!!$errors->first('product_category_id', '<label for="product_category_id" class="help-block error">:message</label>')!!}
						</div>
					</div>
				</div>
		</div>

     <div class="form-group {!!$errors->first('hashtag') ? 'has-error' : ''!!}">
            <label for="hashtag" class="control-label col-sm-2">{{App\Language::trans('Hashtags')}}</label>
            <div class="col-sm-12">
              {!!Form::text("hashtag", null, array("id"=>"hashtag","class"=>"form-control"))!!}
              {!!$errors->first('hashtag', '<span for="hashtag" class="help-block error">:message</span>')!!}
            </div>
     </div>


    <div class="row">
    	<div class="col-md-12">
				<div class="form-group{{ $errors->has('datetimes') ? ' has-error' : '' }}">
					{!! Form::label('datetimes', App\Language::trans('Period'), ['class'=>'control-label col-md-4']) !!}
					<div class="col-md-12">
						{!! Form::text('datetimes', null, ['class'=>'form-control input-datetimespicker','required']) !!}
                        {!!$errors->first('datetimes', '<label for="datetimes" class="help-block error">:message</label>')!!}
					</div>
				</div>
			</div>
		</div>

		<div class="row">
			    <div class="col-sm">
			        <div class="form-row">
			            <div class="col-md-12 mb-15">
			               @if($model->cover_photo_path)
			               <div class="col-md-4">
			                  <img class="img-fluid img-thumbnail img-responsive" width="150" height ="150" src="{{asset($model->cover_photo_path)}}">
			                  <!--    <div class="text-center checkbox-custom checkbox-danger mb5">
			                     {!!Form::checkbox("company_logo_del", $model->id_company, false, array("id"=>"company_logo_del"))!!}
			                     <label for="company_logo_del">{{App\Language::trans('Remove file')}}</label>
			                     </div> -->
			               </div>
			               @endif
			            </div>
			        </div>
			    </div>
			</div>	


		<div class="row">
			<div class="col-md-6">
			 	<div class="form-group {!!$errors->first('cover_photo_path') ? 'has-error' : ''!!}">
                  <label for="cover_photo_path" class="control-label col-sm-4">{{App\Language::trans('Post Cover Photo')}}</label>
                  <div class="col-sm-8">
                     {!!Form::file("cover_photo_path", array("id"=>"cover_photo_path","class"=>"form-control"))!!}
                     {!!$errors->first('cover_photo_path', '<span for="cover_photo_path" class="help-block error">:message</span>')!!}
                  </div>
               </div>
           </div>
              
		</div>

		



   		<div class="row">
			<div class="col-md-6">
				<div class="form-group{{ $errors->has('country_id') ? ' has-error' : '' }}">
					{!! Form::label('country_id', App\Language::trans('Country'), ['class'=>'control-label col-md-4']) !!}
					<div class="col-md-8">
						{!! Form::select('country_id',App\Country::combobox(old('country_id') ? old('country_id'):$model->country_id), null, ['class'=>'form-control','autofocus','required','onchange'=>'init_state_selectbox(this)']) !!}
                        {!!$errors->first('country_id', '<label for="country_id" class="help-block error">:message</label>')!!}
					</div>
				</div>
			</div>
	
			<div class="col-md-6">
				<div class="form-group{{ $errors->has('state_id') ? ' has-error' : '' }}">
					{!! Form::label('state_id', App\Language::trans('State'), ['class'=>'control-label col-md-4']) !!}
					<div class="col-md-8">
						{!! Form::select('state_id',  App\State::combobox(old('country_id') ? old('country_id'):$model->country_id) , null, ['class'=>'form-control','required']) !!}
                        {!!$errors->first('state_id', '<label for="state_id" class="help-block error">:message</label>')!!}
					</div>
				</div>
			</div>
		</div>


		
</section>
@include('_version_01.commons.layouts.partials._form_floaring_footer_standard')
{!! Form::close() !!}
@endsection
@section('script')

@endsection