

<div class="row clearfix">
    <div class="col-lg-6 col-md-12">
        <div class="card">
            <div class="header">
                <h2>Default Cover Photo <small>One photo allowed.</small></h2>
            </div>
            <div class="body">
               
			<input type='file' name='cover_photo_path' class='form-control dropify' 
			    @if($model->cover_photo_path != null)
			         data-default-file={{asset($model->cover_photo_path)}}

			    @endif
			>
			@if($model->cover_photo_path != null)
			    {!! Form::hidden('cover_photo_path', true, ['class'=>'form-control']) !!}
			@endif



            </div>
        </div>

    </div>
</div>

 <div class="row clearfix">
 	<div class="col-md-6">
		<div class="form-group{{ $errors->has('is_publish') ? ' has-error' : '' }}">
			{!! Form::label('is_publish', App\Models\Language::trans('Is Publish ?'), ['class'=>'control-label col-md-4']) !!}
			<div class="col-md-8">
				 <div class="row clearfix">	
				 	<div class="col-md-6">
					    <div class="custom-control custom-radio">
					        <input type="radio" id="is_publish_on" name="is_publish" value=1  class="custom-control-input" {{isset($model['is_publish']) == true ? ($model['is_publish'] == true ? 'checked' : '') : 'checked'}}>
					        <label class="custom-control-label" for="is_publish_on">{{App\Models\Language::trans('Enabled')}}</label>
					    </div>
					</div>
					<div class="col-md-6">
					    <div class="custom-control custom-radio">
					         <input type="radio" id="is_publish_off" name="is_publish" value=0 class="custom-control-input" {{isset($model['is_publish']) == true ? ($model['is_publish'] == false ? 'checked' : '') : ''}}>
					        <label class="custom-control-label" for="is_publish_off">{{App\Models\Language::trans('Disabled')}}</label>
					    </div>
					</div>
				 </div>
				 {!!$errors->first('is_publish', '<label for="is_publish" class="help-block error">:message</label>')!!}
			</div>
		</div>
	</div>

	<div class="col-md-6">
		<div class="form-group{{ $errors->has('status') ? ' has-error' : '' }}">
			{!! Form::label('status', App\Models\Language::trans('Status'), ['class'=>'control-label col-md-4']) !!}
			<div class="col-md-8">
				 <div class="row clearfix">	
				 	<div class="col-md-6">
					    <div class="custom-control custom-radio">
					        <input type="radio" id="status_on" name="status" value=1  class="custom-control-input" {{isset($model['status']) == true ? ($model['status'] == true ? 'checked' : '') : 'checked'}}>
					        <label class="custom-control-label" for="status_on">{{App\Models\Language::trans('Enabled')}}</label>
					    </div>
					</div>
					<div class="col-md-6">
					    <div class="custom-control custom-radio">
					         <input type="radio" id="status_off" name="status" value=0 class="custom-control-input" {{isset($model['status']) == true ? ($model['status'] == false ? 'checked' : '') : ''}}>
					        <label class="custom-control-label" for="status_off">{{App\Models\Language::trans('Disabled')}}</label>
					    </div>
					</div>
				 </div>
				 {!!$errors->first('status', '<label for="status" class="help-block error">:message</label>')!!}
			</div>
		</div>
	</div>
</div>





	<div class="row clearfix">	
		{!! Form::label('held_at', App\Models\Language::trans('Article Info'), ['class'=>'control-label col-md-4']) !!}
	</div>
	<hr style="margin-top:-5px;">
   
<div class="row clearfix">		
   	<div class="col-md-6">
		<div class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
			{!! Form::label('name', App\Models\Language::trans('Name'), ['class'=>'control-label col-md-12']) !!}
			<div class="col-md-8">
				{!! Form::text('name', null, ['class'=>'form-control','autofocus','required']) !!}
		        {!!$errors->first('name', '<label for="name" class="help-block error">:message</label>')!!}
			</div>
		</div>
	</div>
</div>



<div class="row clearfix">
	<div class="col-md-12">
		<div class="form-group{{ $errors->has('category_id') ? ' has-error' : '' }}">
			{!! Form::label('category_id', App\Models\Language::trans('Category'), ['class'=>'control-label col-md-4']) !!}
			<div class="col-md-12">
				{!!Form::select("category_id", App\Models\Category::combobox(), $model->category_id , array("style"=>"width: 100%;","class"=>"form-control 3col active","id"=>"category_id"))!!}
                {!!$errors->first('category_id', '<label for="category_id" class="help-block error">:message</label>')!!}
			</div>
		</div>
	</div>
</div>




<div class="row clearfix">	
	{!! Form::label('held_at', App\Models\Language::trans('Date And Location'), ['class'=>'control-label col-md-4']) !!}
	
</div>
<hr style="margin-top:-5px;">

	

<div class="row clearfix">
	<div class="col-md-6">
		<div class="form-group{{ $errors->has('publish_at') ? ' has-error' : '' }}">
			{!! Form::label('publish_at', App\Models\Language::trans('Publish Date'), ['class'=>'control-label col-md-4']) !!}
			<div class="col-md-12">
				<!-- <input class="form-control" type="text" name="daterange" id='publish_at' required/> -->
				<input name="publish_at" id='publish_at'  data-provide="datepicker" data-date-autoclose="true" class="form-control" data-date-format="yyyy-mm-dd" required value={{ ($model->publish_at != '' ? $model->publish_at : date('Y-m-d' ,strtotime('now')) ) }} >
                {!!$errors->first('publish_at', '<label for="daterange" class="help-block error">:message</label>')!!}
			</div>
		</div>
	</div>
</div>






<div class="row clearfix">
	<div class="col-md-4">
		<div class="form-group{{ $errors->has('country_id') ? ' has-error' : '' }}">
			{!! Form::label('country_id', App\Models\Language::trans('Country'), ['class'=>'control-label col-md-4']) !!}
			<div class="col-md-8">
				{!! Form::select('country_id',App\Models\Country::combobox(old('country_id') ? old('country_id'):$model->country_id), $model->country_id, ['class'=>'form-control','autofocus','onchange'=>'init_state_selectbox(this)']) !!}
                {!!$errors->first('country_id', '<label for="country_id" class="help-block error">:message</label>')!!}
			</div>
		</div>
	</div>

	<div class="col-md-4">
		<div class="form-group{{ $errors->has('state_id') ? ' has-error' : '' }}">
			{!! Form::label('state_id', App\Models\Language::trans('State'), ['class'=>'control-label col-md-4']) !!}
			<div class="col-md-8">
				{!! Form::select('state_id',  App\Models\State::combobox(old('country_id') ? old('country_id'):$model->country_id) , $model->state_id, ['class'=>'form-control']) !!}
                {!!$errors->first('state_id', '<label for="state_id" class="help-block error">:message</label>')!!}
			</div>
		</div>
	</div>

	<div class="col-md-4">
		<div class="form-group{{ $errors->has('city_id') ? ' has-error' : '' }}">
			{!! Form::label('city_id', App\Models\Language::trans('City'), ['class'=>'control-label col-md-4']) !!}
			<div class="col-md-8">
				{!! Form::select('city_id',  App\Models\City::combobox(old('state_id') ? old('state_id'):$model->state_id) , $model->city_id, ['class'=>'form-control']) !!}
                {!!$errors->first('city_id', '<label for="city_id" class="help-block error">:message</label>')!!}
			</div>
		</div>
	</div>
</div>
		



		
