@extends('_version_01.iot.layouts.admin')
@section('content')
{!! Form::model($model, ['class'=>'form-horizontal','files'=>true, 'enctype'=>'multipart/form-data','method' => 'post']) !!}
@include('_version_01.iot.layouts.partials._alert')
@include('_version_01.iot.layouts.partials._request_type')

@php
    $listing = App\Models\Faq::all();
    //dd($language_listing);
@endphp

<div class="row clearfix">
            <div class="col-md-12">
                <div class="card">
                    <div class="header">
                        <h2><strong>{{ucfirst(str_replace('_',' ',$request_type))}}</strong> </h2>           
                    </div>
                    <div class="body">
                            <div class="row">
                                <div class="col-md-12">
                                    
                                    <div class="table-wrap">
                                        <div class="table-responsive-md">
                                            <table id="listing_table" class="table table-bordered table-hover">
                                                <thead>
                                                    <tr>
                                                        <th width="50 px;">#</th>

                                                        <th class="text-center" style='width:15%;'>
                                                           
                                                            {{App\Models\Language::trans('Category')}}<br>
                                                            {{App\Models\Language::trans('Name')}}<br>
                                            
                                                        </th>
                                                        <th class="text-center"  style='width:40%;'>
                                                            {{App\Models\Language::trans('Question')}}
                                                        </th>

                                                        <th class="text-center" style='width:40%;'>
                                                            {{App\Models\Language::trans('Answer')}}
                                                        </th>

                                                        <th class="text-center">                            
                                                            {{App\Models\Language::trans('Sort Order')}}
                                                        </th>


                                                        <th><a style ='margin-bottom:2px;' class="btn btn-success mb-15" onclick="add_row('listing_table');" href="javascript:void(0)"><i class="fa fa-plus-square fa-fw"></i> {{App\Models\Language::trans('Add Row')}}</a></th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                  @foreach($listing as $row)
                                                                @php
                                                                        $title_data_arr = isset($row['id']) ? json_decode($row['title'],true) : array();
                                                                        $content_data_arr = isset($row['id']) ? json_decode($row['content'],true) : array();
                                                                @endphp

                                                                <tr>
                                                                    <td>{{$i}}</td>

                                                                    <td>
                                                                        
                                                          
                                                                        @php //dd($row); @endphp
                                                                        {!! Form::select('faq['.$i.'][category_id]',App\Models\Category::combobox() , $row->category_id, ['class'=>'form-control','autofocus']) !!}
                                                                        {!! Form::text('faq['.$i.'][name]', $row->name, ['class'=>'form-control']) !!}
                                                                        {!! Form::hidden('faq['.$i.'][id]', $row->id, ['class'=>'form-control']) !!}
                                                                     <td>

                                                                        @foreach($language_listing as $language_code => $language)
                                                                            @php
                                                                                   $img_path = 'img/flags/'.$language_code.'.png';
                                                                                   $title_data = isset($title_data_arr[$language]) ? $title_data_arr[$language] : '';
                                                                            @endphp
                                                                           <div class="input-group mb-3">
                                                                                <div class="input-group-prepend">
                                                                                    <span class="input-group-text"><img style='height:18px;width:auto;'class="media-object " src={{asset($img_path)}} alt=""></span>
                                                                                </div>
                                                                                {!! Form::textarea('faq['.$i.'][title]['.$language.']', $title_data, ['class'=>'form-control','placeholder'=>ucfirst($language),'rows'=>2]) !!}
                                                                               
                                                                            </div>
                                                                        @endforeach
                                                                    </td>

                                                                     <td>
                                                                        @foreach($language_listing as $language_code => $language)
                                                                            @php
                                                                                   $img_path = 'img/flags/'.$language_code.'.png';
                                                                                   $content_data = isset($content_data_arr[$language]) ? $content_data_arr[$language] : '';
                                                                            @endphp
                                                                           <div class="input-group mb-3" >
                                                                                <div class="input-group-prepend">
                                                                                    <span class="input-group-text"><img style='height:18px;width:auto;'class="media-object " src={{asset($img_path)}} alt=""></span>
                                                                                </div>
                                                                                {!! Form::textarea('faq['.$i.'][content]['.$language.']', $content_data, ['class'=>'form-control','placeholder'=>ucfirst($language),'rows'=>5]) !!}
                                                                               
                                                                            </div>
                                                                        @endforeach
                                                                    </td>

                                                                     <td>                                                                       
                                                                        {!!Form::number('faq['.$i.'][sort_order]', $row->sort_order, ['min'=>0,'step'=>'1', 'class'=>'form-control' ,'style' =>'width:80px;'])!!}
                                                                    </td>

                                                                    <td class="text-center">
                                                                        <a class="btn btn-default" onclick="remove_row(this);" href="javascript:void(0)"><i class="fa fa-trash fa-fw"></i></a>
                                                                    </td>
                                                                </tr>

                                                                @php $i ++ @endphp
                                                    @endforeach 

                                                    @if(count($listing) == 0)
                                                            <tr>
                                                                <td>{{$i}}</td>
                                                                <td>
                                                                    {!! Form::select('faq['.$i.'][category_id]',App\Models\Category::combobox() , null, ['class'=>'form-control','autofocus']) !!}
                                                                    {!! Form::text('faq['.$i.'][name]', null, ['class'=>'form-control']) !!}
                                                                <td>
                                                                    @php

                                                                    @endphp
                                                                    @foreach($language_listing as $language_code => $language)
                                                                            @php
                                                                                   $img_path = 'img/flags/'.$language_code.'.png';
                                                                            @endphp
                                                                           <div class="input-group mb-3">
                                                                                <div class="input-group-prepend">
                                                                                    <span class="input-group-text"><img style='height:18px;width:auto;'class="media-object " src={{asset($img_path)}} alt=""></span>
                                                                                </div>
                                                                                {!! Form::textarea('faq['.$i.'][title]['.$language.']', null, ['class'=>'form-control','placeholder'=>ucfirst($language),'rows'=>2]) !!}
                                                                               
                                                                            </div>
                                                                    @endforeach
                                                                </td>

                                                                 <td>
                                                                    @php

                                                                    @endphp
                                                                    @foreach($language_listing as $language_code => $language)
                                                                            @php
                                                                                   $img_path = 'img/flags/'.$language_code.'.png';
                                                                            @endphp
                                                                           <div class="input-group mb-3">
                                                                                <div class="input-group-prepend">
                                                                                    <span class="input-group-text"><img style='height:18px;width:auto;'class="media-object " src={{asset($img_path)}} alt=""></span>
                                                                                </div>
                                                                            {!! Form::textarea('faq['.$i.'][content]['.$language.']', null, ['class'=>'form-control','placeholder'=>ucfirst($language),'rows'=>5]) !!}
                                                                           
                                                                        </div>
                                                                    @endforeach
                                                                </td>

                                                                 <td>                                                                       
                                                                    {!!Form::number('faq['.$i.'][sort_order]', 0, ['min'=>0,'step'=>'1', 'class'=>'form-control','style' =>'width:60px;'])!!}
                                                                </td>

                                                                <td class="text-center">
                                                                    <a class="btn btn-default" onclick="remove_row(this);" href="javascript:void(0)"><i class="fa fa-trash fa-fw"></i></a>
                                                                </td>
                                                            </tr>
                                                    @endif
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>


                    </div>
                </div>
                
            </div>
</div>
@include('_version_01.iot.layouts.partials._form_floating_footer_standard')
{!! Form::close() !!}
@endsection
@section('script')
@endsection