@extends('_version_01.iot.layouts.admin')
@section('content')
{!! Form::model($model, ['class'=>'form-horizontal']) !!}
@include('_version_01.commons.layouts.partials._alert')

<input type="hidden" id="request_type" name="request_type" value='{{$request_type}}'>
                <div class="col-lg-12 col-md-12 col-sm-12">
                    <div class="card">
                        <div class="header">
                               <h5>{{App\Language::trans('Project Setting')}}</h5><hr style="margin-bottom:-10px;margin-top:-5px;">
                        </div>
                        <div class="body">
                            <div id="wizard_horizontal" >
                                <h2>Project Setting</h2>
                                <section class='min-500' style="height:500px;">
                                    <div class="row clearfix">
											{!! Form::label('code', App\Language::trans('Storage Space'), ['class'=>'control-label col-md-12']) !!}
							                <div class="col-lg-12">

							                    <div class="card">
							                        <div class="body">
							                            <div class="table-responsive">
							                                <table class="table table-bordered table-striped table-hover">
							                                    <thead>
							                                        <tr>
							                                        	<th>Item</th>
							                                        	<th>Value</th>
							                                        </tr>
							                                    </thead>
							                                     <tbody>
							                                     	
							                                     	

							                                     	<tr>
							                                     		<td>Source Project</td>
							                                     		<td>{{ $storage['source_storage'] }}</td>
							                                     	</tr>

							                                     	<tr>
							                                     		<td>Available Storage</td>
							                                     		<td>{{ $storage['device_storage'] }}</td>
							                                     	</tr>
							                                     	
							                                     	<tr>
							                                     		<td>Status</td>
							                                     		<td>{{ $storage['status'] }}</td>
							                                     	</tr>
							                                     </tbody>
							                                </table>
							                            </div>
							                        </div>
							                    </div>
							                </div>
							        </div>

							        <div class="row">
											<div class="col-md-6">
												<div class="form-group{{ $errors->has('code') ? ' has-error' : '' }}">
													{!! Form::label('code', App\Language::trans('Source Project Folder Name'), ['class'=>'control-label col-md-12']) !!}
													<div class="col-md-8">
														{!! Form::text('source_folder_name', $model['source_folder_name'], ['class'=>'form-control','required','readonly']) !!}
								                        {!!$errors->first('source_folder_name', '<label for="source_folder_name" class="help-block error">:message</label>')!!}
													</div>							</div>
											</div>

											<div class="col-md-6">
												<div class="form-group{{ $errors->has('code') ? ' has-error' : '' }}">
													{!! Form::label('code', App\Language::trans('Destination Project Folder Name'), ['class'=>'control-label col-md-12']) !!}
													<div class="col-md-8">
														{!! Form::text('project_folder_name', null, ['class'=>'form-control','required']) !!}
								                        {!!$errors->first('project_folder_name', '<label for="project_folder_name" class="help-block error">:message</label>')!!}
													</div>
												</div>
											</div>
										</div>

										<!-- <div class="row">

											<div class="col-md-6">
												<div class="form-group{{ $errors->has('code') ? ' has-error' : '' }}">
													{!! Form::label('code', App\Language::trans('Login Page Url'), ['class'=>'control-label col-md-4']) !!}
													<div class="col-md-8">
														{!! Form::text('login_url', null, ['class'=>'form-control','required']) !!}
								                        {!!$errors->first('login_url', '<label for="login_url" class="help-block error">:message</label>')!!}
													</div>
												</div>
											</div>

											<div class="col-md-6">
												<div class="form-group{{ $errors->has('code') ? ' has-error' : '' }}">
													{!! Form::label('code', App\Language::trans('Login Redirect Url'), ['class'=>'control-label col-md-4']) !!}
													<div class="col-md-8">
														{!! Form::text('login_redirect_url', null, ['class'=>'form-control','required']) !!}
								                        {!!$errors->first('login_redirect_url', '<label for="login_redirect_url" class="help-block error">:message</label>')!!}
													</div>
												</div>
											</div>
										</div> -->
                                </section>
                                
                                <h2>Create Database</h2>
                                <section>
                                    <p>Project Data will be created after clicking the create and next button , it will take around <strong>30 minutes</strong> to complete . <br>
                                    	@php 
                                    		$class = $is_db_created == false ? 'fa fa-times' : 'fa fa-check';
                                    	@endphp
                                    	
                                    	<i id='database_status_indicator' name='database_status_indicator' class="{{$class}}" aria-hidden="true"> Database </i>
                                    	
                                    	
                                    </p>
                                </section>

                                <h2>Create Project Folder</h2>
                                <section>
                                    <p>Neccessary project file will be created in few minutes , click create and next button to proceed. <br> 

                                    	@php 
                                    		$class = $is_project_folder_created == false ? 'fa fa-times' : 'fa fa-check';	
                                    	@endphp
                                    	
                                    	<i id='project_file_status_indicator' name='project_file_status_indicator' class="{{$class}}" aria-hidden="true"> Project File </i>
                                  
                                    </p>
                                   
                                </section>

                                <h2>Confirmation</h2>
                                <section>
                                    <p>
                                    	

                                    </p>
                                </section>
                            </div>
                        </div>
                    </div>
                </div>
            

<div id='footer'  class="box-footer">
	<div class="row">
		<div class="col-md-offset-4 col-md-10">
		<!--  -->
		<!-- loading-label -->
			<button  id="submit_button" class="btn btn-success btn-wth-icon icon-wthot-bg btn-lg pull-right "><span class="icon-label"><i class="fa fa-save"></i> </span><span class="btn-text">{{App\Language::trans('Back')}}</span></button>	
		<div>
	</div>
</div>

<style>
.min-500 {
  height: 500px;
}
</style>


{!! Form::close() !!}
@endsection
@section('script')
@endsection

